I had some problems with Google Maps V3 on Drupal 6, so I made a patch with a few fixes.

Be aware that this removes support for the V2 API, so it's not for everyone.

Files: 
CommentFileSizeAuthor
2013-08-08-google-maps-fix.patch5.57 KBmikl
Test request sent.
[ View ]

Comments

thinkyhead’s picture

Thanks for the patch. It seems to still be missing the "https:" on the front of the src attribute however, and I don't know if "library=places" is needed, but I added it in my copy. The total result is: $url = 'https://maps.googleapis.com/maps/api/js?sensor=false&libraries=places&v=3.2';

akleinwaechter’s picture

Hi!

Great stuff! Which Open Layers Javascript Version do you use?

Thanks
Alex